summaryrefslogtreecommitdiffstats
path: root/libraries/gsl
diff options
context:
space:
mode:
author Aleksandar Samardzic2010-05-13 00:29:40 +0200
committer David Somero2010-05-13 00:29:40 +0200
commita70728e7462f84a6398fe95a0a7769e3bede6d14 (patch)
tree787f7b82557777322ff8027d86bf10c35bf23652 /libraries/gsl
parent7bcb07aee80017438493a46bae92dee249202f26 (diff)
downloadslackbuilds-a70728e7462f84a6398fe95a0a7769e3bede6d14.tar.gz
libraries/gsl: Updated for version 1.13
Diffstat (limited to 'libraries/gsl')
-rw-r--r--libraries/gsl/gsl.SlackBuild23
-rw-r--r--libraries/gsl/gsl.info8
-rw-r--r--libraries/gsl/slack-desc4
3 files changed, 23 insertions, 12 deletions
diff --git a/libraries/gsl/gsl.SlackBuild b/libraries/gsl/gsl.SlackBuild
index 3d67a22735..72b60e732c 100644
--- a/libraries/gsl/gsl.SlackBuild
+++ b/libraries/gsl/gsl.SlackBuild
@@ -5,7 +5,7 @@
# Written by Aleksandar Samardzic <asamardzic@gmail.com>
PRGNAM=gsl
-VERSION=${VERSION:-1.12}
+VERSION=${VERSION:-1.13}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -17,10 +17,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -42,34 +45,40 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
- --build=$ARCH-slackware-linux \
- --host=$ARCH-slackware-linux
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
+
mv $PKG/usr/share/info $PKG/usr
rm -f $PKG/usr/info/dir
gzip -9 $PKG/usr/info/*.info*
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README SUPPORT THANKS TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README THANKS TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/gsl/gsl.info b/libraries/gsl/gsl.info
index 804cce57a7..b183b9540a 100644
--- a/libraries/gsl/gsl.info
+++ b/libraries/gsl/gsl.info
@@ -1,8 +1,10 @@
PRGNAM="gsl"
-VERSION="1.12"
+VERSION="1.13"
HOMEPAGE="http://www.gnu.org/software/gsl"
-DOWNLOAD="ftp://ftp.gnu.org/gnu/gsl/gsl-1.12.tar.gz"
-MD5SUM="3ec101903c8157756fa1352161bd4c39"
+DOWNLOAD="ftp://ftp.gnu.org/gnu/gsl/gsl-1.13.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="d9fcfa367c44ab68a25b4edf34c3c5f7"
+MD5SUM_x86_64=""
MAINTAINER="Aleksandar Samardzic"
EMAIL="asamardzic@gmail.com"
APPROVED="dsomero"
diff --git a/libraries/gsl/slack-desc b/libraries/gsl/slack-desc
index 27caccc76b..3de13c5985 100644
--- a/libraries/gsl/slack-desc
+++ b/libraries/gsl/slack-desc
@@ -5,7 +5,7 @@
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler------------------------------------------------------|
+ |---------handy-ruler------------------------------------------------------|
gsl: GSL (a numerical library for C and C++ programmers)
gsl:
gsl: The GNU Scientific Library (GSL) is a collection of routines for
@@ -13,7 +13,7 @@ gsl: numerical computing. The routines are written from scratch by the
gsl: GSL team in ANSI C, and present a modern API for C programmers,
gsl: while allowing wrappers to be written for very high-level
gsl: languages.
-gsl:
+gsl:
gsl: Homepage: http://www.gnu.org/software/gsl/
gsl:
gsl: